Skip to main content
GET
/
account
/
keys
Get account API keys
curl --request GET \
  --url https://api.maxai.lol/v1/account/keys \
  --header 'Authorization: Bearer <token>'
{
  "status": 200,
  "data": [
    {
      "id": "d236ee0f-462b-4c51-9980-df7406b9e2e9",
      "userId": "aa137275-44bf-4a1d-9230-04854ca83861",
      "partialKey": "ac2309cf",
      "name": "Development Key",
      "permissions": [
        "retrieve.keys"
      ],
      "createdAt": "2025-10-23T20:16:10.564Z",
      "updatedAt": "2025-10-24T02:03:52.837Z",
      "description": "A key for development purposes",
      "expirationDate": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

API keys retrieved successfully.

status
number

The HTTP-style status code of the response.

Example:

200

data
object[]

Array of API key objects associated with the account.